Loading...
Searching...
No Matches
Magick::mapImage Class Reference

## Public Member Functions

| mapImage (const Image &mapImage_, const bool dither_=false)
void | operator() (Image &image_) const

## Private Attributes

Image | _mapImage
bool | _dither

## Detailed Description

Definition at line 696 of file STL.h.

## Constructor & Destructor Documentation

## mapImage()

Magick::mapImage::mapImage | ( | const Image & | mapImage_,
|  | const bool | dither_ = `false`
| ) |  |

Definition at line 664 of file STL.cpp.

: _mapImage( mapImage_ ),
_dither( dither_ )
{
}

## Member Function Documentation

## operator()()

void Magick::mapImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 670 of file STL.cpp.

{
image_.map( _mapImage, _dither );
}

## Field Documentation

## _dither

bool Magick::mapImage::_dither

private

Definition at line 706 of file STL.h.

## _mapImage

Image Magick::mapImage::_mapImage

private

Definition at line 705 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp